<?php defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_coupon package for Concrete5
 * Copyright Copyright 2017-2019, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_coupon
 */

use Concrete\Core\Page\Page;

$bUID = $controller->getBlockUID($b);
$c = Page::getCurrentPage();

$dh = $app->make('helper/date');
$dt = $dh->formatDateTime(date(t('d M Y H:i:s'), strtotime($valid_until)), true, true, 'system');

?>
 
<div class="ab-coupon">
    <div class="coupon-border">
        <?php 
        echo '<div class="coupon-scissors">';
            echo '<img src="' . $img_url . '/scissors.png">';
        echo '</div>';
        
        if ($show_picture) {
            echo '<div class="coupon-picture">';
                echo '<img src="' . $pic->getVersion()->getRelativePath() . '" />';
            echo '</div>';
        }
        echo '<div class="coupon-text">';
            echo '<div class="coupon-primary-title">' . $primary_title . '</div>';
            echo '<div class="coupon-secondary-title">' . $secondary_title . '</div>';
            
            if ($show_sale) {
                echo '<div class="coupon-show-sale">';
                        echo '<div class="coupon-price-before"><span class="line-through">' . t('Before: ') . $currency_symbol . ' ' . money_format('%.2i', $price_before) . '</span></div>';
                        echo '<div class="coupon-price-after"><span class="red">' . t('Sale: ') . $currency_symbol . ' ' . money_format('%.2i', $price_after) . '</span></div>';
                    if ($show_saving) {
                        echo '<div class="coupon-saving"><span class="green">' . t('Saving: ') . round(100 * (1 - (float)$price_after / (float)$price_before)) . '%</span></div>';
                    }
                echo '</div>';
            }
            
            if ($text_show) {
                echo '<div class="coupon-text-show">' . $text_show . '</div>';
            }
            
            echo '<div class="coupon-valid-until">';
                if ($valid_until) {
                    echo t('Valid until: ') . '<br />' . $dt;
                }
            echo '</div>';
            
            echo '<div class="coupon-time-left">';
                if (strtotime($valid_until) - time() <= 0) {
                    echo t('Time left:') . '<br />' . '<i class="fa fa-clock-o"></i> ' . t('This offer has expired!');
                }
                else {
                    echo t('Time left:') . '<br />' . '<i class="fa fa-clock-o"></i> ' . '<span id="coupon_countdown_' . $bUID . '"></span>';
                }
            echo '</div>';
            
            if ($text_hide) {
                if ($c->isEditMode()) {
                    echo '<div class="coupon-text-hide" style="display: block;">' . $text_hide . '</div>';
                    echo '<div class="coupon-btn">';
                        echo '<a class="coupon-show-hide btn btn-primary">' . $btn_text . '</a>';
                    echo '</div>';
                }
                else {
                    if ($popup) {
                        echo '<div id="coupon_text_hide_' . $bUID . '" class="coupon-hidden-text mfp-hide">';
                            echo '<div class="coupon-text-hide">' . $text_hide . '</div>';
                        echo '</div>';
                        echo '<div class="coupon-btn">';
                            echo '<a href="#coupon_text_hide_' . $bUID . '" class="coupon-show-hide btn btn-primary" data-buid="' . $bUID . '" data-popup="' . $popup . '">' . $btn_text . '</a>';
                        echo '</div>';
                    }
                    else {
                        echo '<div id="coupon_text_hide_' . $bUID . '" class="coupon-text-hide">' . $text_hide . '</div>';
                        echo '<div class="coupon-btn">';
                            echo '<a class="coupon-show-hide btn btn-primary" data-buid="' . $bUID . '" data-popup="' . $popup . '">' . $btn_text . '</a>';
                        echo '</div>';
                    }
                }
            }
        echo '</div>';
        ?>
    </div>
</div>

<script type="text/javascript">
$(function(){
    $('#coupon_countdown_<?php echo $bUID; ?>').countdown('<?php echo date("Y/m/d H:i:s", strtotime($valid_until)); ?>')
    .on('update.countdown', function(event) {
        var format = '%H:%M:%S';
        if(event.offset.totalDays > 0) {
            format = '%-d %!d:<?php echo t("day,days"); ?>; ' + format;
        }
        if(event.offset.weeks > 0) {
            format = '%-w %!w:<?php echo t("week,weeks"); ?>; ' + format;
        }
        $(this).html(event.strftime(format));
    })
    .on('finish.countdown', function(event) {
        $(this).html('<?php echo t("This offer has expired!"); ?>').parent().addClass('disabled');
    });
});
</script>
